Перейти до вмісту
AstroWay/api v2.19.0 · docs
усі системи в нормі
UA EN

Balance (pythagorean)

POST
/numerology/pythagorean/balance

Calculate the Balance number from initials of each part of the full name. Numerology — Pythagorean system.

curl -X POST https://api.astroway.info/v1/numerology/pythagorean/balance \
-H "X-Api-Key: aw_live_..." \
-H "Content-Type: application/json" \
-d '{ "name": "John Smith", "date": "1990-05-15" }'
object
Example
{
"name": "John Smith",
"date": "1990-05-15"
}

Successful calculation

object
ok
boolean
Example
true
data
object
system
string
name
string
date
string
balance
object
raw
number
reduced
number
isMaster
boolean
steps
Array<number>
meaning
object
archetype
string
shortRead
string
Example
{
"ok": true,
"data": {
"system": "pythagorean",
"name": "John Smith",
"date": "1990-05-15",
"balance": {
"raw": 30,
"reduced": 3,
"isMaster": false,
"steps": [
30,
3
],
"meaning": {
"archetype": "The Communicator",
"shortRead": "creative communicator..."
}
}
}
}

Validation error

Example
{
"ok": false,
"error": {
"code": "INVALID_INPUT",
"message": "Validation failed: date: Date must be YYYY-MM-DD",
"details": [
{
"path": "date",
"message": "Date must be YYYY-MM-DD"
}
]
}
}

Missing or invalid API key

Example
{
"ok": false,
"error": {
"code": "INVALID_API_KEY",
"message": "Invalid API key"
}
}
Корисно?